Get list of all payment methods available in Flow Retail
Get list of all payment methods in flowRetail
get/paymentmethods
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Query parameters
tenantUidstringOptionalPattern:
Reference to a tenant uid
^[A-Za-z0-9-_]+Responses
200
PaymentMethod list response
application/json
get/paymentmethods
GET /v2/paymentmethods HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
PaymentMethod list response
{
"items": [
{
"allowRefund": true,
"allowSale": true,
"allowAmount": true,
"allowCashback": true,
"allowPrepayment": true,
"requireExclusiveUse": true,
"name": "text",
"parameters": [
{
"key": "text",
"keyType": "TEXT",
"name": "text",
"required": true
}
],
"paymentCode": "CASH"
}
]
}Last updated
Was this helpful?

